Debian Bug report logs - #468020
libtest-classapi-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libtest-classapi-perl; Maintainer for libtest-classapi-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libtest-classapi-perl is src:libtest-classapi-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:31:09 UTC

Severity: important

Tags: patch

Found in version libtest-classapi-perl/1.02-1

Fixed in version libtest-classapi-perl/1.02-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#468020; Package libtest-classapi-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libtest-classapi-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:25 +0200
Package: libtest-classapi-perl
Version: 1.02-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#468020; Package libtest-classapi-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #10 received at 468020@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468020@bugs.debian.org
Subject: libtest-classapi-perl: diff for NMU version 1.02-1.1
Date: Sat, 5 Apr 2008 15:50:45 +0100
[Message part 1 (text/plain, inline)]
tags 468020 + patch
thanks

Hi,

Attached is the diff for my libtest-classapi-perl 1.02-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libtest-classapi-perl-1.02-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 14:54:19 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 468020-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468020-close@bugs.debian.org
Subject: Bug#468020: fixed in libtest-classapi-perl 1.02-1.1
Date: Sat, 05 Apr 2008 15:03:16 +0000
Source: libtest-classapi-perl
Source-Version: 1.02-1.1

We believe that the bug you reported is fixed in the latest version of
libtest-classapi-perl, which is due to be installed in the Debian FTP archive:

libtest-classapi-perl_1.02-1.1.diff.gz
  to pool/main/libt/libtest-classapi-perl/libtest-classapi-perl_1.02-1.1.diff.gz
libtest-classapi-perl_1.02-1.1.dsc
  to pool/main/libt/libtest-classapi-perl/libtest-classapi-perl_1.02-1.1.dsc
libtest-classapi-perl_1.02-1.1_all.deb
  to pool/main/libt/libtest-classapi-perl/libtest-classapi-perl_1.02-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468020@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libtest-classapi-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 15:48:58 +0100
Source: libtest-classapi-perl
Binary: libtest-classapi-perl
Architecture: source all
Version: 1.02-1.1
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libtest-classapi-perl - Perl extension for basic first-pass API testing for class trees
Closes: 468020
Changes: 
 libtest-classapi-perl (1.02-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #468020.
Files: 
 885f2c9c16a0b39630ab1704adfa86f5 711 perl optional libtest-classapi-perl_1.02-1.1.dsc
 b9af9a791eab11c49d75c2fc98985164 1692 perl optional libtest-classapi-perl_1.02-1.1.diff.gz
 582e426385aa895dc1143e7c2250592a 11092 perl optional libtest-classapi-perl_1.02-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH95GmNIW6CNDsByMRAi8PAKCeqJmxXpSDTr8/tT8Tih5KgpdaowCgtE7W
Aq2QXdF/E5cx3hiRNYWkyQ8=
=CgWo
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#468020; Package libtest-classapi-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #22 received at 468020@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468020@bugs.debian.org
Subject: libtest-classapi-perl: diff for NMU version 1.02-1.1
Date: Sat, 5 Apr 2008 16:32:41 +0100
[Message part 1 (text/plain, inline)]
tags 468020 + patch
thanks

Hi,

Attached is the diff for my libtest-classapi-perl 1.02-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libtest-classapi-perl-1.02-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 15:33:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:39:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.